﻿const int EVENTS = 20;
const int COUNTRIES = 10;

int j, i, needle, top, bottom, middle;
bool found;

string[] countryNames = new string[COUNTRIES];
string[,] eventDescriptions = new string[EVENTS, COUNTRIES];
int[,] eventYears = new int[EVENTS, COUNTRIES];
for (j = 0; j <= COUNTRIES - 1; j++) {
  Console.Write("Enter Country No. " + (j + 1) + ": ");
  countryNames[j] = Console.ReadLine();
  for (i = 0; i <= EVENTS - 1; i++) {
    Console.Write("Enter description for event No. " + (i + 1) + ": ");
    eventDescriptions[i, j] = Console.ReadLine();
    Console.Write("Enter year for event No. " + (i + 1) + ": ");
    eventYears[i, j] = Convert.ToInt32(Console.ReadLine());      
  }
}

Console.Write("Enter a year to search: ");
needle = Convert.ToInt32(Console.ReadLine());

middle = -1;
for (j = 0; j <= COUNTRIES - 1; j++) {
  top = 0;
  bottom = EVENTS - 1;
  found = false;
  while (top <= bottom && !found) {
    middle = (int)((top + bottom) / 2);

    if (needle < eventYears[middle, j]) {
      bottom = middle - 1;
    }
    else if (needle > eventYears[middle, j]) {
      top = middle + 1;
    }
    else {
      found = true;
    }
  }

  if (!found) {
    Console.WriteLine("No event found for country " + countryNames[j]);
  }
  else {
    Console.WriteLine("Country: " + countryNames[j]);
    Console.WriteLine("Year: " + eventYears[middle, j]);
    Console.WriteLine("Event: " + eventDescriptions[middle, j]);
  }
}
