﻿const int EVENTS = 20;
const int COUNTRIES = 10;

int j, i, left, right, middle;
bool found;
string needle;

string[] countryNames = new string[COUNTRIES];
string[,] eventDescriptions = new string[EVENTS, COUNTRIES];
for (j = 0; j <= COUNTRIES - 1; j++) {
  Console.Write("Enter Country No. " + (j + 1) + ": ");
  countryNames[j] = Console.ReadLine();
  for (i = 0; i <= EVENTS - 1; i++) {
    Console.Write("Enter description for event No. " + (i + 1) + ": ");
    eventDescriptions[i, j] = Console.ReadLine();   
  }
}

Console.Write("Enter a country to search: ");
needle = Console.ReadLine().ToUpper();

//Country names are entered in alphabetical order.
//Use the binary search algorithm to search for needle.
middle = -1;
left = 0;
right = EVENTS - 1;
found = false;
while (left <= right && !found) {
  middle = (int)((left + right) / 2);

  if (needle.CompareTo(countryNames[middle].ToUpper()) < 0) {
    right = middle - 1;
  }
  else if (needle.CompareTo(countryNames[middle].ToUpper()) > 0) {
    left = middle + 1;
  }
  else {
    found = true;
  }
}

if (!found) {
  Console.WriteLine("No country found!");
}
else {
  for (i = 0; i <= EVENTS - 1; i++) {
    Console.WriteLine(eventDescriptions[i, middle]);
  }
}
