﻿const int TEAMS = 32;
const int PLAYERS = 24;

int i, j, m, n, temp;
string tempStr;

//Read team names, player names and goals all together
string[] t = new string[TEAMS];
string[,] p = new string[TEAMS, PLAYERS];
int[,] g = new int[TEAMS, PLAYERS];
for (i = 0; i <= TEAMS - 1; i++) {
  Console.Write("Enter name for team No. " + (i + 1) + ": ");
  t[i] = Console.ReadLine();
  for (j = 0; j <= PLAYERS - 1; j++) {
    Console.Write("Enter name of player No. " + (j + 1) + ": ");
    p[i, j] = Console.ReadLine();
    Console.Write("Enter goals of player No. " + (j + 1) + ": ");
    g[i, j] = Convert.ToInt32(Console.ReadLine());
  }
}

//Sort array g
for (i = 0; i <= TEAMS - 1; i++) {
  for (m = 1; m <= 5; m++) {  //Perform 5 passes
    for (n = PLAYERS - 1; n >= m; n--) {
      if (g[i, n] > g[i, n - 1]) {
        temp = g[i, n];
        g[i, n] = g[i, n - 1];
        g[i, n - 1] = temp;

        tempStr = p[i, n];
        p[i, n] = p[i, n - 1];
        p[i, n - 1] = tempStr;
      }
    }
  }
}

//Display 5 best scorers of each team
for (i = 0; i <= TEAMS - 1; i++) {
  Console.WriteLine("Best scorers of " + t[i]);
  Console.WriteLine("-----------------------------------");
  for (j = 0; j <= 4; j++) {
    Console.WriteLine(p[i, j] + " scored " + g[i, j] + " goals");
  }
}
