﻿string prependTitle(string firstName, string lastName, string title = "M", bool reverse = false) {
  string returnValue;
	
  if (!reverse)
    returnValue = title + " " + firstName + " " + lastName;
  else
    returnValue = title + " " + lastName + " " + firstName;

  return returnValue;
}

//Main code starts here
Console.WriteLine(prependTitle("John", "King"));          //It displays: M John King
Console.WriteLine(prependTitle("Maria", "Miller", "Ms")); //It displays: Ms Maria Miller

//Display: Ms Miller Maria
Console.WriteLine(prependTitle("Maria", "Miller", "Ms", true));

//Call the method using a named argument
Console.WriteLine(prependTitle("John", "King", reverse: true)); //It displays: M King John
