﻿int getConsumption() {
  int consumption ;

  Console.Write("Enter kWh consumed: ");
  consumption = Convert.ToInt32(Console.ReadLine());
  while (consumption < 0) {
    Console.WriteLine("Error: Invalid number!");
    Console.Write("Enter a non-negative number: ");
    consumption = Convert.ToInt32(Console.ReadLine());
  }
  return consumption;
}

double findAmount(int kwh) {
  double amount;

  if (kwh <= 400) {
    amount = kwh * 0.08;
  }
  else if (kwh <= 1500) {
    amount = 400 * 0.08 + (kwh - 400) * 0.22;
  }
  else if (kwh <= 2000) {
    amount = 400 * 0.08 + 1100 * 0.22 + (kwh - 1500) * 0.35;
  }
  else {
    amount = 400 * 0.08 + 1100 * 0.22 + 500 * 0.35 + (kwh - 2000) * 0.50;
  }

  amount += 0.26 * amount;
  return amount;
}

int kwh;
string answer;

do {
  kwh = getConsumption();
  Console.WriteLine("You need to pay: " + findAmount(kwh));

  Console.Write("Would you like to repeat? ");
  answer = Console.ReadLine();
} while (answer.ToUpper() == "YES");
