﻿//Main code starts here
Teacher teacher1 = new("Mr. John Scott", 43, 35000);
Teacher teacher2 = new("Mrs. Ann Carter", 5, 32000);

Student student1 = new("Mark Nelson", 14, "A");
Student student2 = new("Mary Morgan", 13, "B");

teacher1.displayValues();
teacher2.displayValues();
student1.displayValues();
student2.displayValues();

//Define the class SchoolMember.
class SchoolMember {
  public string name;
  public int age;

  //Define the constructor
  public SchoolMember(string name, int age) {
    this.name = name;
    this.age = age;
    Console.WriteLine("A school member was initialized");
  }
}

//Define the class Teacher. It inherits the class SchoolMember.
class Teacher : SchoolMember {
  public double salary;  //This is an additional field for this class

  //Define the constructor
  public Teacher(string name, int age, double salary) : base(name, age) {
    this.salary = salary; 
    Console.WriteLine("A teacher was initialized");
  }

  //This is an additional method for this class
  public void displayValues() {
    Console.WriteLine("Name: " + this.name);
    Console.WriteLine("Age: " + this.age);
    Console.WriteLine("Salary: " + this.salary);
  }
}

//Define the class Student. It inherits the class SchoolMember.
class Student : SchoolMember {
  public string finalGrade;  //This is an additional field for this class

  //Define the constructor
  public Student(string name, int age, string finalGrade) : base(name, age) {
    this.finalGrade = finalGrade;
    Console.WriteLine("A student was initialized");
  }

  //This is an additional method for this class
  public void displayValues() {
    Console.WriteLine("Name: " + this.name);
    Console.WriteLine("Age: " + this.age);
    Console.WriteLine("Final grade: " + this.finalGrade);
  }
}
