﻿const double ACCURACY = 0.0000000000001;

double y, guess;

Random rnd = new();

Console.Write("Enter a non-negative number: ");
y = Convert.ToDouble(Console.ReadLine());
while (y < 0) {
  Console.Write("Invalid value. Enter a non-negative number: ");
  y = Convert.ToDouble(Console.ReadLine());
}

guess = rnd.Next(1, (int)y);  //Make a random first guess between 1 and user-provided value

while (Math.Abs(guess * guess - y) > ACCURACY) { //Is it "close enough"?
  guess = (guess + y / guess) / 2;    //No, create a new "guess"!
}
Console.WriteLine(guess);
