﻿string letter;

//Create a dictionary to store the frequencies of each vowel with initial
//frequencies all set to zero.
Dictionary<string, int> vowelsFrequency = new() {
  {"A", 0},
  {"E", 0},
  {"I", 0},
  {"O", 0},
  {"U", 0}
};

Console.Write("Enter an English sentence: ");
string sentence = Console.ReadLine();

//Iterate through the characters of the user-provided sentence and if it is a vowel,
//update (increase) the corresponding frequency count in the vowelsFrequency dictionary.
foreach (var character in sentence.ToUpper()) {
  letter = "" + character;
  if (vowelsFrequency.ContainsKey(letter)) {
    vowelsFrequency[letter]++;
  }
}

//Display the frequencies of each vowel
foreach (var element in vowelsFrequency) {
  Console.WriteLine(element.Key + ": " + element.Value);
}
