﻿const int CARS = 10;
const int LAPS = 20;

int i, j, m, n;
double element;

//Read names and elapsed times all together
string[] names = new string[CARS];
double[,] elapsedTimes = new double[CARS, LAPS];
for (i = 0; i <= CARS - 1; i++) {
  Console.Write("Enter name for driver No. " + (i + 1) + ": ");
  names[i] = Console.ReadLine();
  for (j = 0; j <= LAPS - 1; j++) {
    Console.Write("Enter elapsed time for lap No. " + (j + 1) + ": ");
    elapsedTimes[i, j] = Convert.ToDouble(Console.ReadLine());
  }
}

//Sort array elapsedTimes
for (i = 0; i <= CARS - 1; i++) {
  for (m = 1; m <= LAPS - 1; m++) {
    element = elapsedTimes[i, m];
    n = m;
    while (n > 0 && elapsedTimes[i, n - 1] < element) {
      elapsedTimes[i, n] = elapsedTimes[i, n - 1];
      n--;
    }
    elapsedTimes[i, n] = element;
  }
}

//Display 3 worst elapsed times
for (i = 0; i <= CARS - 1; i++) {
  Console.WriteLine("Worst elapsed times of " + names[i]);
  Console.WriteLine("-----------------------------------");
  for (j = 0; j <= 2; j++) {
    Console.WriteLine(elapsedTimes[i, j]);
  }
}
