﻿const int CITIES = 10;
const int CITIZENS = 30;

int i, j, positionI, positionJ;
bool found;
string needle;

string[,] phoneNum = new string[CITIES, CITIZENS];
string[,] ans = new string[CITIES, CITIZENS];
for (i = 0; i <= CITIES - 1; i++) {
  Console.WriteLine("City No. " + (i + 1));
  for (j = 0; j <= CITIZENS - 1; j++) {
    Console.Write("Enter phone number of citizen No. " + (j + 1) + ": ");
    phoneNum[i, j] = Console.ReadLine();

    Console.Write("Enter the answer of citizen No. " + (j + 1) + ": ");
    ans[i, j] = Console.ReadLine().ToUpper();
    while (ans[i, j] != "Y" && ans[i, j] != "N" && ans[i, j] != "S") {
      Console.Write("Wrong answer. Enter a valid one: ");
      ans[i, j] = Console.ReadLine().ToUpper();
    }
  }
}

Console.Write("Enter a phone number to search: ");
needle = Console.ReadLine();

found = false;
positionI = -1;
positionJ = -1;      
for (i = 0; i <= CITIES - 1; i++) {
  for (j = 0; j <= CITIZENS - 1; j++) {
    if (phoneNum[i, j] == needle) { //If it is found
      found = true;
      positionI = i; //Keep row index where needle was found
      positionJ = j; //Keep column index where needle was found
      break;  //Exit the inner loop 
    }
  }
  if (found) 
    break;  //If it is found, exit the outer loop as well 
}

if (!found) {
  Console.WriteLine("Phone number not found!");
}
else {
  Console.Write("Phone number " + phoneNum[positionI, positionJ] + " gave '");

  switch (ans[positionI, positionJ]) {
    case "Y":
      Console.Write("Yes");
      break;
    case "N":
      Console.Write("No");
      break;
    default:
      Console.Write("Sometimes");
      break;
  }

  Console.WriteLine("' as an answer");
}
