﻿const int ATHLETES = 20;
const int SHOTS = 6;

int i, j, m, n, temp;
string tempStr;

//Read array names and points
string[] names = new string[ATHLETES];
int[,] points = new int[ATHLETES, SHOTS];
for (i = 0; i <= ATHLETES - 1; i++) {
  Console.Write("Enter name for athlete No. " + (i + 1) + ": ");
  names[i] = Console.ReadLine();
  for (j = 0; j <= SHOTS - 1; j++) {
    Console.Write("Enter points for shot No. " + (j + 1) + ": ");
    points[i, j] = Convert.ToInt32(Console.ReadLine());
  }
}

//Create array total
int[] total = new int[ATHLETES];
for (i = 0; i <= ATHLETES - 1; i++) {
  total[i] = 0;
  for (j = 0; j <= SHOTS - 1; j++) {
    total[i] += points[i, j];
  }
}

//Sort arrays names and total. Perform only 3 passes
for (m = 1; m <= 3; m++) {
  for (n = ATHLETES - 1; n >= m; n--) {
    if (total[n] > total[n - 1]) {
      temp = total[n];
      total[n] = total[n - 1];
      total[n - 1] = temp;

      tempStr = names[n];
      names[n] = names[n - 1];
      names[n - 1] = tempStr;
    }
  }
}

//Display gold, silver and bronze metal
for (i = 0; i <= 2; i++) {
  Console.WriteLine(names[i] + "\t" + total[i]);
}
