﻿const int PEOPLE = 20;

void mySwap(string[] a, int index1, int index2) {
  string temp;

  temp = a[index1];
  a[index1] = a[index2];
  a[index2] = temp;
}

void mySort(string[] a, bool ascending) {
  int m, n;

  for (m = 1; m <= PEOPLE - 1; m++) {
    for (n = PEOPLE - 1; n >= m; n--) {
      if (ascending) {
        if (a[n].CompareTo(a[n - 1]) < 0) {
          mySwap(a, n, n - 1);
        }
      }
      else {
        if (a[n].CompareTo(a[n - 1]) > 0) {
          mySwap(a, n, n - 1);
        }
      }
    }
  }
}

void displayArray(string[] a) {
  int i;

  for (i = 0; i <= PEOPLE - 1; i++) {
    Console.WriteLine(a[i]);
  }
}

int i;

string[] names = new string[PEOPLE];
for (i = 0; i <= PEOPLE - 1; i++) {
  Console.Write("Enter a name: ");
  names[i] = Console.ReadLine();
}

mySort(names, true);        //Sort names in ascending order
displayArray(names);        //and display them

mySort(names, false);       //Sort names in descending order
displayArray(names);        //and display them.
